Compare commits

...

No commits in common. "stream-perl-5.32-rhel-8.10.0" and "c8-stream-5.3" have entirely different histories.

8 changed files with 29 additions and 115 deletions

11
.gitignore vendored
View File

@ -1,10 +1 @@
/libnet-3.06.tar.gz
/libnet-3.07.tar.gz
/libnet-3.08.tar.gz
/libnet-3.09.tar.gz
/libnet-3.10.tar.gz
/libnet-3.10_repackaged.tar.gz
/libnetFAQ.pod
/libnet-3.11_repackaged.tar.gz
/libnet-3.12.tar.gz
/libnet-3.13.tar.gz
SOURCES/libnet-3.11_repackaged.tar.gz

1
.perl-libnet.metadata Normal file
View File

@ -0,0 +1 @@
a4d57be085667743c2d040bc309a61b036b2c6e0 SOURCES/libnet-3.11_repackaged.tar.gz

6
SOURCES/libnetFAQ.pod Normal file
View File

@ -0,0 +1,6 @@
=encoding utf-8
The L<libnetFAQ document is not distributed because of the
license|https://rt.cpan.org/Public/Bug/Display.html?id=117888>. You can
access the original document on
L<http://search.cpan.org/~shay/libnet/lib/Net/libnetFAQ.pod>.

View File

@ -10,12 +10,22 @@
%bcond_without perl_libnet_enables_ssl
Name: perl-libnet
Version: 3.13
Release: 1%{?dist}
Version: 3.11
Release: 4%{?dist}
Summary: Perl clients for various network protocols
# other files: GPL+ or Artistic
## Not in binary packages
# repackage.sh: GPLv2+
## Removed from upstream sources:
# lib/Net/libnetFAQ.pod: Artistic (CPAN RT#117888)
License: GPL+ or Artistic
URL: https://metacpan.org/release/libnet
Source0: https://cpan.metacpan.org/authors/id/S/SH/SHAY/libnet-%{version}.tar.gz
URL: http://search.cpan.org/dist/libnet/
# Origin source archive contains Artistic only files, CPAN RT#117888.
# Local archive produced by "./repackage.sh %%{version}" command.
# http://www.cpan.org/authors/id/S/SH/SHAY/libnet-%%{version}.tar.gz
Source0: libnet-%{version}_repackaged.tar.gz
# Replacement for the Artistic only file, CPAN RT#117888.
Source1: libnetFAQ.pod
# Convert Changes to UTF-8
Patch0: libnet-3.09-Normalize-Changes-encoding.patch
# Do not create Net/libnet.cfg, bug #1238689
@ -104,15 +114,17 @@ protocols used in the internet community.
%prep
%setup -q -n libnet-%{version}
# Provide dummy Net::libnetFAQ document, CPAN RT#117888
install -m 0644 %{SOURCE1} lib/Net
%patch0 -p1
%patch1 -p1
%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 </dev/null
%{make_build}
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 </dev/null
make %{?_smp_mflags}
%install
%{make_install}
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*
%check
@ -125,44 +137,8 @@ make test
%{_mandir}/man3/*
%changelog
* Mon Jan 04 2021 Jitka Plesnikova <jplesnik@redhat.com> - 3.13-1
- 3.13 bump
* Wed Dec 09 2020 Jitka Plesnikova <jplesnik@redhat.com> - 3.12-1
- 3.12 bump
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.11-458
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
* Fri Jun 26 2020 Jitka Plesnikova <jplesnik@redhat.com> - 3.11-457
- Perl 5.32 re-rebuild of bootstrapped packages
* Mon Jun 22 2020 Jitka Plesnikova <jplesnik@redhat.com> - 3.11-456
- Increase release to favour standalone package
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.11-441
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.11-440
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
* Sun Jun 02 2019 Jitka Plesnikova <jplesnik@redhat.com> - 3.11-439
- Perl 5.30 re-rebuild of bootstrapped packages
* Thu May 30 2019 Jitka Plesnikova <jplesnik@redhat.com> - 3.11-438
- Increase release to favour standalone package
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.11-419
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.11-418
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
* Sat Jun 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 3.11-417
- Perl 5.28 re-rebuild of bootstrapped packages
* Wed Jun 27 2018 Jitka Plesnikova <jplesnik@redhat.com> - 3.11-416
- Increase release to favour standalone package
* Fri Mar 29 2019 Jitka Plesnikova <jplesnik@redhat.com> - 3.11-4
- Rebuild with enable hardening (bug #1636329)
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

View File

@ -1,59 +0,0 @@
#!/bin/bash
#
# Copyright (C) 2010 Red Hat, Inc.
# Authors:
# Thomas Woerner <twoerner@redhat.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
version=$1
[ -z "$version" ] && { echo "Usage: $0 <version>"; exit 1; }
# files to be removed without the main libnet-<version>/ prefix
declare -a REMOVE
REMOVE[${#REMOVE[*]}]="lib/Net/libnetFAQ.pod"
# no changes below this line should be needed
orig="libnet-${version}"
orig_tgz="${orig}.tar.gz"
repackaged="${orig}_repackaged"
repackaged_tar="${repackaged}.tar"
repackaged_tgz="${repackaged_tar}.gz"
# pre checks
[ ! -f "${orig_tgz}" ] && { echo "ERROR: ${orig_tgz} does not exist"; exit 1; }
[ -f "${repackaged_tgz}" ] && { echo "ERROR: ${repackaged_tgz} already exist"; exit 1; }
# repackage
failure=0
gzip -dc "${orig_tgz}" > "${repackaged_tar}"
for file in "${REMOVE[@]}"; do
tar -f "${repackaged_tar}" --delete "${orig}/${file}" >> repackage.log
[ $? != 0 ] && { echo "ERROR: Could not remove file ${orig}/${file} from archive."; failure=1; } || echo "Removed ${orig}/${file} from archive."
done
[ $failure != 0 ] && { echo "See repackage.log for details."; exit 1; }
gzip -9 -n "${repackaged_tar}"
# post checks
RET=0
for file in "${REMOVE[@]}"; do
found=$(tar -ztvf "${repackaged_tgz}" | grep "${file}")
[ -n "$found" ] && { echo "ERROR: file ${file} is still in the repackaged archive."; RET=1; }
done
[ $RET == 0 ] && echo "Sucessfully repackaged ${orig}: ${repackaged_tgz}"
exit $RET

View File

@ -1 +0,0 @@
SHA512 (libnet-3.13.tar.gz) = 80d670a71f8793a4ca4bf781d800ee52ca3985795033be64e6ed12520d46da4813325d7534969c12125333d4f85e47fa497ea8687558f969b8eb3e7bfd3c1540